Skip to main content
GET
List business

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>[]

Unique identifier for the resource. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

entity_name
string

Only return resources where the entity_name field matches the specified string. Any * characters in the string are wildcards, and match any characters.

Example:

"Apex Corporation"

phone_number
string

Only return resources where the phone_number field matches the specified string. Phone numbers use the E.164 format e.g. +19178675309. Any * characters in the string are wildcards, and match any characters.

Example:

"+12065550100"

status
enum<string>

Status of the business. One of the following:

  • PROSPECT – a potential customer, used for information-gathering and disclosures.
  • ACTIVE – is an integrator defined status. Integrators should set a business to active if they believe the person to be qualified for conducting business. Synctera will combine this status with other statuses such a verification to determine if the business is eligible for specific actions such as initiating transactions or issuing a card.
  • FROZEN – business's actions are blocked for security, legal, or other reasons.
  • SANCTION – business is on a sanctions list and should be carefully monitored.
  • DISSOLVED – an inactive status indicating a business entity has filed articles of dissolution or a certificate of termination to terminate its existence.
  • CANCELLED – an inactive status indicating that a business entity has filed a cancellation or has failed to file its periodic report after notice of forfeiture of its rights to do business.
  • SUSPENDED – an inactive status indicating that the business entity has lost the right to operate in it's registered jurisdiction.
  • MERGED – an inactive status indicating that the business entity has terminated existence by merging into another entity.
  • INACTIVE – an inactive status indicating that the business entity is no longer active.
  • CONVERTED – An inactive status indicating that the business entity has been converted to another type of business entity in the same jurisdiction.
Available options:
PROSPECT,
ACTIVE,
FROZEN,
SANCTION,
DISSOLVED,
CANCELLED,
SUSPENDED,
MERGED,
INACTIVE,
CONVERTED
is_customer
boolean

If true, show only customers. If false, show non-customer parties.

sort_by
enum<string>[]

Specifies the sort order for the returned businesses.

Available options:
entity_name:asc,
entity_name:desc,
creation_time:asc,
creation_time:desc,
last_updated_time:asc,
last_updated_time:desc
limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

has_accounts
boolean

Filter on resources that have an account(s)

classifications
enum<string>[]
read-only

Specifies the classification of a party for banks. It can contain multiple values. Specifies the classification of a party for banks. This may contain multiple values for a combined classifications list of customers.

Specifies the classification of a party.

Available options:
BANK_CUSTOMER,
AUTHORIZED_USER,
PROSPECT,
INACTIVE_BANK_CUSTOMER

Response

List of businesses.

businesses
object[]
required

Array of businesses.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"